﻿@model PagedList<DomainModels.Entities.HumanResource.User>


@{
    ViewBag.Title = "لیست کاربران";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().FullName)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().Username)
					</th>			
					<th>
						شماره موبایل
					</th>
					<th>
                         تلفن ثابت
					</th>
					<th>
						کارت شناسایی
					</th>
                    <th>
                        چهره و کارت ملی
                    </th>
                    <th>
                        نقش
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().AccountStatus)
                    </th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
					<td>
						@Html.DisplayFor(modelItem => item.FullName)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.Username)
					</td>
					<td>
						@Html.ShowAcceptStatus(item.MobileNumberAcceptStatus)
					</td>
					<td>
						@Html.ShowAcceptStatus(item.PhoneNumberAcceptStatus)
					</td>
					<td>
						@Html.ShowAcceptStatus(item.IdentificationCardAcceptStatus)
					</td>
                    <td>
                        @Html.ShowAcceptStatus(item.FaceAndNationalCardAcceptStatus)
                    </td>
                    <td>
                        @item.Role.RoleName.Description()
                    </td>
                    <th>
                        @Html.ShowUserAccountStatus(item.AccountStatus)
                    </th>
					<td>
						@Html.ActionLink("جزئیات", "Detail", new { id=item.Id }, new { @class="btn btn-primary" })
                        @Html.ActionLink("ویرایش", "Edit", new { id = item.Id }, new { @class = "btn btn-info" })
					</td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
